$ErrorActionPreference = 'Stop';

$packageName = 'SourceTree'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://downloads.atlassian.com/software/sourcetree/windows/SourceTreeSetup_1.9.6.2.exe'
$url64      = 'https://downloads.atlassian.com/software/sourcetree/windows/SourceTreeSetup_1.9.6.2.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'SourceTree*'

  checksum      = '5cb67f907b027534a12ba9529e2ee34e785f5f851c121825b318270db6f32471'
  checksumType  = 'sha256'
  checksum64    = '5cb67f907b027534a12ba9529e2ee34e785f5f851c121825b318270db6f32471'
  checksumType64= 'sha256'

  silentArgs    = "/passive"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
